    PROGRAM d05bwfe

!      D05BWF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : d05bwf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: iorder = 4, nomg = 10, nout = 6
       INTEGER, PARAMETER              :: nwt = iorder
       INTEGER, PARAMETER              :: ldsw = nomg + iorder - 1
!      .. Local Scalars ..
       INTEGER                         :: ifail, lensw, n
!      .. Local Arrays ..
       REAL (KIND=nag_wp)              :: omega(nomg), sw(ldsw,nwt)
!      .. Executable Statements ..
       WRITE (nout,*) 'D05BWF Example Program Results'

       ifail = 0
       CALL d05bwf('BDF',iorder,omega,nomg,lensw,sw,ldsw,nwt,ifail)

       WRITE (nout,*)
       WRITE (nout,*) 'The convolution weights'
       WRITE (nout,*)

       DO n = 1, nomg
          WRITE (nout,99999) n - 1, omega(n)
       END DO

       WRITE (nout,*)
       WRITE (nout,*) 'The weights W'
       WRITE (nout,*)

       DO n = 1, lensw
          WRITE (nout,99999) n, sw(n,1:nwt)
       END DO

99999  FORMAT (1X,I3,4X,6F10.4)
    END PROGRAM d05bwfe
